package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_DATADIS"
)
public class TCoreDatadis extends TBaseEntity {
   @Column(
      length = 64
   )
   private String dictname;
   @Column(
      length = 32
   )
   private String dicttype;
   @Column(
      length = 64
   )
   private String dictlabel;
   @Column(
      length = 128
   )
   private String dictvalue;
   @Column(
      length = 16
   )
   private String sort;
   @Column(
      length = 255
   )
   private String remarks;
   private Date createtime;

   public String getDictname() {
      return this.dictname;
   }

   public void setDictname(String dictname) {
      this.dictname = dictname;
   }

   public String getDicttype() {
      return this.dicttype;
   }

   public void setDicttype(String dicttype) {
      this.dicttype = dicttype;
   }

   public String getDictlabel() {
      return this.dictlabel;
   }

   public void setDictlabel(String dictlabel) {
      this.dictlabel = dictlabel;
   }

   public String getDictvalue() {
      return this.dictvalue;
   }

   public void setDictvalue(String dictvalue) {
      this.dictvalue = dictvalue;
   }

   public String getSort() {
      return this.sort;
   }

   public void setSort(String sort) {
      this.sort = sort;
   }

   public String getRemarks() {
      return this.remarks;
   }

   public void setRemarks(String remarks) {
      this.remarks = remarks;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }
}
